Subject: bug#11365: 24.1.50; quitting gdb does not restore window configuration

From: Eli Zaretskii <[email-masked]>
Date: Sat, 05 May 2012 12:49:29 +0300

> Date: Sat, 05 May 2012 11:42:04 +0200
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked]
> 
> this presents a problem of orthogonality.  We would have to save the
> window configuration in `gud-common-init' (in gud.el) and restore it
> in `gdb-reset' (in gdb-mi.el) which looks pretty ugly to me.

Why in gud-common-init?  Why not in gdb-many-windows?

The other method of invoking GDB, gdb-gud, does not change the window
configuration in any significant way, and never restored window
configuration for as long as the old "M-x gdb" existed.  So I think we
can limit this feature to gdb-many-windows, which _does_ change the
window configuration in dramatic ways.